linphonec(1)

NAME

linphonec - Console interface of linphone, a SIP compatible internet phone.

SYNTAX

linphonec [-d] <debug_level> [-l] <debug_file> [-c] <config_file>
linphonec -v

DESCRIPTION

Linphonec is the console version of originally Gnome internet phone linphone (http://www.linphone.org) .
Linphonec can be started without arguments. It doesn't need any config file to start correctly and will create a default one at the first startup if the file does not exist. By default the path of the config file is ~/.linphonerc . Most parameters (proxy, passwords) can be changed from the command line, for some of them (path of sound rings), you'll need to edit the .linphonerc config file.
Once linphonec has started, linphonec wait for some commands and is ready to receive calls.
The most important commands are

call <sip url> : to call someone. A sip url is in the form sip:user@host

terminate 	: to terminate a call

answer	: to accept an incoming call.

help	: to display interactive help.

OPTIONS

-d <debug_level>
    Use debug mode with given verbosity (debug_level). The debug_level is an integer in the range 0..5 .

-h  Output help information and exit.

-l <log_file>
    Specifies a file where debug information will be written. Default is stdout.

-c <config_file>
    Specifies the config file to read at startup.

FILES

~/.linphonec

ENVIRONMENT VARIABLES

EXAMPLES

AUTHORS

Florian Winterstein <fwin at gmx.de>
Simon Morlat <simon.morlat at linphone.org>

SEE ALSO

linphone(1) sipomatic(1)